Đến nội dung


Hình ảnh
- - - - -

[ Nhờ viết lisp ]


  • Please log in to reply
5 replies to this topic

#1 lehung1988

lehung1988

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 March 2014 - 10:50 AM

Mình dùng cái này rất nhiều nhưng quá nhiều động tác mong bạn nào giúp đỡ để kiếm thêm tý cơm nuôi vợ :)

Mình muốn stretch đối tượng đến vị trí mà vị trí đó cách vị trí mình click chuột 1 khoảng xác định trước ( khoảng định trước sẽ lưu vào các lần tiếp theo như lênh offset)

 ví dụ: với một line

 stretch (vao lenh)  -> chọn 1 đầu đoạn thẳng  ( vao lenh ) -> chon điểm xuất phát ->  chọn điểm đến-> chọn khoảng cách( khoang cach nay se lưu lại vào các lần sau như lệnh offset  chảng hạn)  

 Cám ơn và mời cafe trà đá.

 

 

Đây là cái lisp stretch cách một điểm nhưng không biết lưu giá trị đó lại cho lần sau

http://www.cadviet.c...tretch_from.lsp

 
(defun c:SS (/ sset P1 P2)
(setq sset (ssget))
(if (null sset) 
(progn(princ "\nERROR: Nothing selected.")
(exit)))
(setq p1 (getpoint "First point : ")
p2 (getpoint p1 "Base point : "))
(command "stretch" sset "" P1 "FROM" P2))
 
(defun c:SS (/ sset P1 P2)
(setq sset (ssget))
(if (null sset) 
(progn(princ "\nERROR: Nothing selected.")
(exit)))
(setq p1 (getpoint "First point : ")
p2 (getpoint p1 "Base point : "))
(command "stretch" sset "" P1 "FROM" P2))
 
(defun c:SS (/ sset P1 P2)
(setq sset (ssget))
(if (null sset) 
(progn(princ "\nERROR: Nothing selected.")
(exit)))
(setq p1 (getpoint "First point : ")
p2 (getpoint p1 "Base point : "))
(command "stretch" sset "" P1 "FROM" P2))

  • 0

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 08 March 2014 - 12:02 PM

Chưa hiểu ý bạn lắm, cái chuyện lưu lại khoảng cách để dùng cho ofset thì ok. Nhưng stretch thì chỉ stretch 1 điểm thôi chứ không phải stretch cả đám ssget. Gửi lại bản lisp đã sửa.

http://www.cadviet.c...168_tmp1_12.lsp


  • 0

#3 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 08 March 2014 - 01:15 PM

Hay là cái này.

http://www.cadviet.c...168_tmp1_13.lsp


  • 0

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 09 March 2014 - 11:08 AM

Mình dùng cái này rất nhiều nhưng quá nhiều động tác mong bạn nào giúp đỡ để kiếm thêm tý cơm nuôi vợ :)

Mình muốn stretch đối tượng đến vị trí mà vị trí đó cách vị trí mình click chuột 1 khoảng xác định trước ( khoảng định trước sẽ lưu vào các lần tiếp theo như lênh offset)

 ví dụ: với một line

 stretch (vao lenh)  -> chọn 1 đầu đoạn thẳng  ( vao lenh ) -> chon điểm xuất phát ->  chọn điểm đến-> chọn khoảng cách( khoang cach nay se lưu lại vào các lần sau như lệnh offset  chảng hạn)  

 Cám ơn và mời cafe trà đá.

 

 

Đây là cái lisp stretch cách một điểm nhưng không biết lưu giá trị đó lại cho lần sau

http://www.cadviet.c...tretch_from.lsp

 
(defun c:SS (/ sset P1 P2)
(setq sset (ssget))
(if (null sset) 
(progn(princ "\nERROR: Nothing selected.")
(exit)))
(setq p1 (getpoint "First point : ")
p2 (getpoint p1 "Base point : "))
(command "stretch" sset "" P1 "FROM" P2))

Hề hề hề,

Chả biết bạn sử dụng cái lisp bạn gửi như thế nào, nhưng mình thử thì nó nằm chỏng gọng chứ chả chịu ngọ nguậy gì. Về cơ bản cái dòng lệnh

(command "stretch" .......) sai về cú pháp sử dụng lệnh stretch của cad. Bạn hãy check lại coi sao.

Bạn dùng thử cái này coi đã đủ để "kiếm thêm tý (tiền) nuôi vợ chưa nhé??? Nếu chưa thì hãy chỉ rõ cái chỗ chưa đủ ấy để xem có cách gì sửa cho đúng ý bạn được không nhé. Hoặc là bỏ bèng vợ đi để khỏi phải mất công nuôi nấng và khỏi phải "kiếm thêm".

Chớ có tự ái vì cái lisp này là mình ăn cắp chút chút từ cái bạn gửi biếu cho dù cái ấy nó chưa thực sự kiếm được cơm.

http://www.cadviet.c...tretch_from.lsp.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 lehung1988

lehung1988

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 March 2014 - 10:23 PM

Cám ơn 2 bạn đã theo dõi giúp mình, 

nhưng vợ thì không bỏ được  hề hề

lệnh của mình gửi bản chất chỉ là lệnh Stretch rồi sau đó dùng chức năng FROM của chuột phải

 

ví dụ đối tượng là 1 rectang  và có đường thăng đứng .

trình tự  : gõ stretch_ chọn đốt tượng_chọn điểm bắt đầu giữ SHIFT + chuột phải rồi chọn FROM xong chọn điểm mốc rồi dịch hướng cần Stretch + nhập khoảng cách

 Đấy mình muốn kết hợp tất cả cái đó với một con số cố định trước đó bạn cái mình up lên phải nhập cái khoảng cách mà cái khoảng cách đấy thường xuyên được nhắc lại.

 

nhờ bạn chỉnh sửa


  • 0

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 13 March 2014 - 11:08 PM

Cám ơn 2 bạn đã theo dõi giúp mình, 

nhưng vợ thì không bỏ được  hề hề

lệnh của mình gửi bản chất chỉ là lệnh Stretch rồi sau đó dùng chức năng FROM của chuột phải

 

ví dụ đối tượng là 1 rectang  và có đường thăng đứng .

trình tự  : gõ stretch_ chọn đốt tượng_chọn điểm bắt đầu giữ SHIFT + chuột phải rồi chọn FROM xong chọn điểm mốc rồi dịch hướng cần Stretch + nhập khoảng cách

 Đấy mình muốn kết hợp tất cả cái đó với một con số cố định trước đó bạn cái mình up lên phải nhập cái khoảng cách mà cái khoảng cách đấy thường xuyên được nhắc lại.

 

nhờ bạn chỉnh sửa

Hề hề hề,

Không biết bạn là người viết đoạn lisp này hay là do người khác viết. Song bạn đã dùng thử chưa và kết quả ra sao????

Bạn dã dùng thử cái lisp mình gửi hay chưa?? Bạn có ý kiến gì về cái lisp đó??? Nó có đúng với yêu cầu của bạn hay không??? Nếu không thì không ở chỗ nào??

Nếu đúng thì bạn hãy so sánh hai cái lisp để hiểu được vì sao mình nói rằng cái lisp bạn gửi chưa đúng với cú pháp sử dụng của lệnh stretch trong CAD.

Dù sao cũng cám ơn bạn vì qua đó mình biết thêm được một cách sử dụng lệnh stretch.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.